
import pygame

# https://www.pygame.org/docs/ref/key.html#pygame.key.get_pressed

keys = {
    "backspace": pygame.K_BACKSPACE,
    "tab": pygame.K_TAB,
    "clear": pygame.K_CLEAR,
    "return": pygame.K_RETURN,
    "enter": pygame.K_RETURN,
    "pause": pygame.K_PAUSE,
    "escape": pygame.K_ESCAPE,
    " ": pygame.K_SPACE,
    "space": pygame.K_SPACE,
    "exclaim": pygame.K_EXCLAIM,
    "!": pygame.K_EXCLAIM,
    "quotedbl": pygame.K_QUOTEDBL,
    '"': pygame.K_QUOTEDBL,
    "hash": pygame.K_HASH,
    "#": pygame.K_HASH,
    "dollar": pygame.K_DOLLAR,
    "$": pygame.K_DOLLAR,
    "ampersand": pygame.K_AMPERSAND,
    "&": pygame.K_AMPERSAND,
    "quote": pygame.K_QUOTE,
    "left parenthesis": pygame.K_LEFTPAREN,
    "right parenthesis": pygame.K_RIGHTPAREN,
    "(": pygame.K_LEFTPAREN,
    ")": pygame.K_RIGHTPAREN,
    "asterisk": pygame.K_ASTERISK,
    "*": pygame.K_ASTERISK,
    "plus sign": pygame.K_PLUS,
    "+": pygame.K_PLUS,
    "comma": pygame.K_COMMA,
    ",": pygame.K_COMMA,
    "minus sign": pygame.K_MINUS,
    "-": pygame.K_MINUS,
    "period": pygame.K_PERIOD,
    ".": pygame.K_PERIOD,
    "forward slash": pygame.K_SLASH,
    "/": pygame.K_SLASH,
    "0": pygame.K_0,
    "1": pygame.K_1,
    "2": pygame.K_2,
    "3": pygame.K_3,
    "4": pygame.K_4,
    "5": pygame.K_5,
    "6": pygame.K_6,
    "7": pygame.K_7,
    "8": pygame.K_8,
    "9": pygame.K_9,
    "colon": pygame.K_COLON,
    ":": pygame.K_COLON,
    "semicolon": pygame.K_SEMICOLON,
    ";": pygame.K_SEMICOLON,
    "less-than sign": pygame.K_LESS,
    "<": pygame.K_LESS,
    "equals sign": pygame.K_EQUALS,
    "=": pygame.K_EQUALS,
    "greater-than sign": pygame.K_GREATER,
    ">": pygame.K_GREATER,
    "question mark": pygame.K_QUESTION,
    "?": pygame.K_QUESTION,
    "at": pygame.K_AT,
    "@": pygame.K_AT,
    "left bracket": pygame.K_LEFTBRACKET,
    "[": pygame.K_LEFTBRACKET,
    "right bracket": pygame.K_RIGHTBRACKET,
    "]": pygame.K_RIGHTBRACKET,
    "backslash": pygame.K_BACKSLASH,
    "\\": pygame.K_BACKSLASH,
    "caret": pygame.K_CARET,
    "^": pygame.K_CARET,
    "underscore": pygame.K_UNDERSCORE,
    "_": pygame.K_UNDERSCORE,
    "grave": pygame.K_BACKQUOTE,
    "`": pygame.K_BACKQUOTE,
    "a": pygame.K_a,
    "b": pygame.K_b,
    "c": pygame.K_c,
    "d": pygame.K_d,
    "e": pygame.K_e,
    "f": pygame.K_f,
    "g": pygame.K_g,
    "h": pygame.K_h,
    "i": pygame.K_i,
    "j": pygame.K_j,
    "k": pygame.K_k,
    "l": pygame.K_l,
    "m": pygame.K_m,
    "n": pygame.K_n,
    "o": pygame.K_o,
    "p": pygame.K_p,
    "q": pygame.K_q,
    "r": pygame.K_r,
    "s": pygame.K_s,
    "t": pygame.K_t,
    "u": pygame.K_u,
    "v": pygame.K_v,
    "w": pygame.K_w,
    "x": pygame.K_x,
    "y": pygame.K_y,
    "z": pygame.K_z,
    "delete": pygame.K_DELETE,
    "keypad 0": pygame.K_KP0,
    "keypad 1": pygame.K_KP1,
    "keypad 2": pygame.K_KP2,
    "keypad 3": pygame.K_KP3,
    "keypad 4": pygame.K_KP4,
    "keypad 5": pygame.K_KP5,
    "keypad 6": pygame.K_KP6,
    "keypad 7": pygame.K_KP7,
    "keypad 8": pygame.K_KP8,
    "keypad 9": pygame.K_KP9,
    "keypad period": pygame.K_KP_PERIOD,
    "keypad divide": pygame.K_KP_DIVIDE,
    "keypad multiply": pygame.K_KP_MULTIPLY,
    "keypad minus": pygame.K_KP_MINUS,
    "keypad plus": pygame.K_KP_PLUS,
    "keypad enter": pygame.K_KP_ENTER,
    "keypad equals": pygame.K_KP_EQUALS,
    "up": pygame.K_UP,
    "down": pygame.K_DOWN,
    "right": pygame.K_RIGHT,
    "left": pygame.K_LEFT,
    "insert": pygame.K_INSERT,
    "home": pygame.K_HOME,
    "end": pygame.K_END,
    "page up": pygame.K_PAGEUP,
    "page down": pygame.K_PAGEDOWN,
    "F1": pygame.K_F1,
    "F2": pygame.K_F2,
    "F3": pygame.K_F3,
    "F4": pygame.K_F4,
    "F5": pygame.K_F5,
    "F6": pygame.K_F6,
    "F7": pygame.K_F7,
    "F8": pygame.K_F8,
    "F9": pygame.K_F9,
    "F10": pygame.K_F10,
    "F11": pygame.K_F11,
    "F12": pygame.K_F12,
    "F13": pygame.K_F13,
    "F14": pygame.K_F14,
    "F15": pygame.K_F15,
    "numlock": pygame.K_NUMLOCK,
    "capslock": pygame.K_CAPSLOCK,
    "scrollock": pygame.K_SCROLLOCK,
    "right shift": pygame.K_RSHIFT,
    "left shift": pygame.K_LSHIFT,
    "right control": pygame.K_RCTRL,
    "left control": pygame.K_LCTRL,
    "right alt": pygame.K_RALT,
    "left alt": pygame.K_LALT,
    "right meta": pygame.K_RMETA,
    "left meta": pygame.K_LMETA,
    "left Windows key": pygame.K_LSUPER,
    "right Windows key": pygame.K_RSUPER,
    "mode shift": pygame.K_MODE,
    "help": pygame.K_HELP,
    "print screen": pygame.K_PRINT,
    "sysrq": pygame.K_SYSREQ,
    "break": pygame.K_BREAK,
    "menu": pygame.K_MENU,
    "power": pygame.K_POWER,
    "Euro": pygame.K_EURO
}
